Add Reaction
Adds a reaction to an issue comment
Request
POST
https://api.sourcecraft.tech/issue_comments/id:{issue_comment_id}/reactions
Path parameters
|
Name |
Description |
|
issue_comment_id |
Type: string Example: `` |
Body
application/json
{
"reaction": "like"
}
|
Name |
Description |
|
reaction |
Type: Reaction Enum: |
Reaction
Type: string
Enum: like, dislike, heart, check_mark, eyes, fire, victory_hand, heart_eyes, hundred_points, party_popper, party_face, rolling_eyes, fist, clapping_hands, thinking_face, neutral_face, winking_face, open_mouth, shrug, pleading_face, confused_face, smiling_face, sunglasses, rocket, robot, goose
Responses
200 OK
A successful response.
Body
application/json
{
"reactions": {}
}
|
Name |
Description |
||
|
reactions |
Type: object
Example
|
ReactionCount
|
Name |
Description |
|
count |
Type: integer |
|
self_react |
Type: boolean |
Example
{
"count": 0,
"self_react": true
}
default
Both Client Errors (4xx) and Server Errors (5xx) are serialized into this scheme
Body
application/json
{
"error_code": "example",
"message": "example",
"request_id": "example",
"details": {}
}
|
Name |
Description |
||
|
details |
Type: Optional details. Exact structure depends on error_code
Example
|
||
|
error_code |
Type: string Example: |
||
|
message |
Type: string Example: |
||
|
request_id |
Type: string Example: |